petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatNullSpaceSetFunction

set a function that removes a null space from a vector out of null spaces.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNullSpaceSetFunction(MatNullSpace sp, PetscErrorCode (*rem)(MatNullSpace,Vec,void*),void *ctx)

Logically Collective on MatNullSpace

### Input Parameters

| sp | - the null space object
| rem | - the function that removes the null space
| ctx | - context for the remove function

### Keywords

PC, null space, create

### See Also

MatNullSpaceDestroy(), MatNullSpaceRemove(), MatSetNullSpace(), MatNullSpace, MatNullSpaceCreate()

### Level

advanced

### Location

src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages